DK API 文档

douyin 08

15 个接口

POSTfetch portrait

POST https://dkai.store/api/v1/douyin/index/fetch_portrait

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
start_datequery必填
end_datequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/index/fetch_portrait?keyword=VALUE&start_date=VALUE&end_date=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch relation word

POST https://dkai.store/api/v1/douyin/index/fetch_relation_word

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
start_datequery必填
end_datequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/index/fetch_relation_word?keyword=VALUE&start_date=VALUE&end_date=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch report detail

GET https://dkai.store/api/v1/douyin/index/fetch_report_detail

1 积分 / 成功调用

参数位置要求说明
report_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/index/fetch_report_detail?report_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch topic query

POST https://dkai.store/api/v1/douyin/index/fetch_topic_query

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
start_datequery必填
end_datequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/index/fetch_topic_query?keyword=VALUE&start_date=VALUE&end_date=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch topic suggest

POST https://dkai.store/api/v1/douyin/index/fetch_topic_suggest

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/index/fetch_topic_suggest?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch valid date for relation

GET https://dkai.store/api/v1/douyin/index/fetch_valid_date_for_relation

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/index/fetch_valid_date_for_relation'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch challenge search v1

POST https://dkai.store/api/v1/douyin/search/fetch_challenge_search_v1

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch challenge search v2

POST https://dkai.store/api/v1/douyin/search/fetch_challenge_search_v2

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch challenge suggest

POST https://dkai.store/api/v1/douyin/search/fetch_challenge_suggest

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch general search v1

POST https://dkai.store/api/v1/douyin/search/fetch_general_search_v1

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch general search v2

POST https://dkai.store/api/v1/douyin/search/fetch_general_search_v2

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch general search v3

POST https://dkai.store/api/v1/douyin/search/fetch_general_search_v3

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。